To create an Edge, in the Main Menu select New Entity > Build > Edge
There are three ways to create an edge. In all cases the Result will be a GEOM_Object (EDGE).
Firstly, you can create a linear Edge by specifying two points (Point1 and Point2), which are the first and the last vertices of the edge.
TUI Command: geompy.MakeEdge(Vertex1, Vertex2)
Arguments: Name + 2 vertices (Vertex1 and Vertex2 are correspondingly the first and the last vertex of the edge).
Secondly, you can create an Edge by specifying a single wire.
In this mode the following use cases are possible:
The case when the edges that form the wire have different tangency in the connection points (sharp bend) is not processed.
TUI Command: geompy.MakeEdgeWire(Wire, LinearTolerance, AngularTolerance)
Arguments: Name + 1 wire + Linear Tolerance + Angular Tolerance (tolerance values are used to check coincidence of the underlying curves).
Thirdly, it is possible to build an edge of required Length on any existing Edge.
Start Point parameter is optional:
Length can exceed the length of the initial edge length or be negative. In this case the existing edge is extrapolated along its curve (except for bezier and b-spline curves).
TUI Command: geompy.MakeEdgeOnCurveByLength(Edge, Length, StartPoint = None)
Arguments: Name + 1 edge + Length + 1 Vertex
Example:
Our TUI Scripts provide you with useful examples of creation of Advanced Geometric Objects.